Remove Background
POST
https://picnie.com/api/v1/remove-backgroundRemove the background from an image using AI.
Headers
| Name | Type | Description |
|---|---|---|
Authorization* | string | Pass api key in the authorization field Example: |
Body Parameters
| Name | Type | Description |
|---|---|---|
project_id* | integer | The ID of the project. Example: |
image_url* | string | URL of the image to process. Example: |
Notes
⚠️ Authentication required
curl -X POST "https://picnie.com/api/v1/remove-background"
-H "Authorization: YOUR_API_KEY"
-H "Content-Type: application/json"
-d '{
"project_id": 1867,
"image_url": "https://picnie.s3.ap-south-1.amazonaws.com/user_1/project_8/tl2332.jpg"
}'Responses
200200 OK
{
"error": false,
"message": "Success",
"image_url": "https://picnie.s3.ap-south-1.amazonaws.com/user_10/project_1867/rm_bg_68538fddac8a7.png"
}